org.apache.ignite.internal.visor.node

## Class VisorCacheRebalanceCollectorJobResult

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorCacheRebalanceCollectorJobResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheRebalanceCollectorJobResult
    extends IgniteDataTransferObject

Result object for cache rebalance job.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheRebalanceCollectorJobResult()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorNodeBaselineStatus` `getBaseline()`
`double` `getRebalance()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setBaseline(VisorNodeBaselineStatus baseline)`
`void` `setRebalance(double rebalance)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheRebalanceCollectorJobResult

    public VisorCacheRebalanceCollectorJobResult()

Default constructor.

### Method Detail

#### getRebalance

    public double getRebalance()

Returns:
  Rebalance progress.

#### setRebalance

    public void setRebalance(double rebalance)

Parameters:
  `rebalance` - Rebalance progress.

#### getBaseline

    public VisorNodeBaselineStatus getBaseline()

Returns:
  Node baseline status.

#### setBaseline

    public void setBaseline(VisorNodeBaselineStatus baseline)

Parameters:
  `baseline` - Node baseline status.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020